Bug 163510 - Crackling sound on Intel high definition audio
Crackling sound on Intel high definition audio
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-18 09:50 EDT by Wayne
Modified: 2009-08-02 13:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:17:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (7.18 KB, text/plain)
2005-07-18 09:53 EDT, Wayne
no flags Details
dmesg output (19.54 KB, text/plain)
2005-07-18 09:54 EDT, Wayne
no flags Details

  None (edit)
Description Wayne 2005-07-18 09:50:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I get crackling sound during playback with all aplications tried (rhythmbox gnome-sounds)

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4smp

How reproducible:
Always

Steps to Reproduce:
1.Playing any sound
2.
3.
  

Additional info:

I upgraded alsa-lib and alsa-utils when I stopped playback and tried again the sound was clear but when I restarted the computer and played music/sounds the crackling had returned.

I have also tried compiling drivers from source and still had the same problem.
Comment 1 Wayne 2005-07-18 09:53:30 EDT
Created attachment 116869 [details]
lspci output
Comment 2 Wayne 2005-07-18 09:54:59 EDT
Created attachment 116870 [details]
dmesg output
Comment 3 Andre Robatino 2005-07-18 14:11:56 EDT
  Try editing your /etc/esd.conf according to the workaround in bug #144769.
Comment 4 Wayne 2005-07-19 01:35:33 EDT
I just tried the workaround for bug #144769 but it still crackles.

steps taken
1) killall esd
2) esd -r 48000
3) played music
4) killall esd
5) edited /etc/esd.conf and added -r 48000 to spawn options
6) restarted esd
7) played music again
Comment 5 Gilles Berger Sabbatel 2005-07-22 06:51:56 EDT
I had a similar problem with a different sound card (soundblaster PCI 128, with
snd_ens1371 driver module).  My kernel is up-to-date (kernel-2.6.12-1.1398_FC4).

However, the problem disapear if I kill esd.  I did the above change to
/etc/esd.conf, and the problem seems to be fixed now.
Comment 6 Wayne 2005-07-22 09:13:25 EDT
I just tried that too but it still hasn't worked for me. I was thinking could
this be an esd problem moreso than a kernel one?
Comment 7 Wayne 2005-07-24 00:03:15 EDT
Correction I just checked which version of alsa I am running by running cat
/proc/asound/version and it tells me it is alsa version 1.0.9rc2 which from
another site tells me that this version has problems with crackling. Is there
any way to get the compiled modules of the latest drivers (1.0.9b) for the
2.6.12-1.1398_FC4 kernel?
Comment 8 John W. Linville 2005-07-26 14:50:46 EDT
It looks like FC4 is quite a bit out of sync w/ the ALSA stuff upstream.  
Hopefully that will get corrected soon... 
Comment 9 David Elwell 2005-08-11 20:59:45 EDT
I have the same problem: Intel high-definition integrated sound card,
crackling/static accompanying all sounds.

But when I log in as root, sound it clear.
Comment 10 David Elwell 2005-08-11 21:01:50 EDT
Let me try it in English this time:

I get static when logged in as a normal user, but the sound is clear when I'm
logged in as root.
Comment 11 John W. Linville 2005-09-23 11:09:06 EDT
Interesting...I wonder if esd is trying to set some scheduling parameters?  
  
   su 
   chmod u+s /usr/bin/esd 
 
Does this help at all?  I'm not sure what the security implications of that 
are, but it might be helpful for testing... 
Comment 12 John W. Linville 2005-11-01 14:05:31 EST
Have you tried adding "position_fix=1" as an option for the snd-hda 
in /etc/modprobe.conf? 
Comment 13 David Elwell 2005-11-02 22:47:41 EST
(In reply to comment #12)
> Have you tried adding "position_fix=1" as an option for the snd-hda 
> in /etc/modprobe.conf? 

That did the trick for the current kernel (2.16.13-1.1532), but not for the
earlier version (2.6.12-1.1447) that I need to use for my dialup connection.

Anyway, it sounds like you have solved my sound problem.

Thank you.
Comment 14 John W. Linville 2005-11-03 14:43:54 EST
I'm sorry it doesn't work for the older kernel.  I can't do too much about that.
 If you want to rebuild your kernel, you might can take the sound/pci/hda
directory from the later kernel and build it w/ the earlier one...YMMV... :-)

Can you attach the output of 'lspci -n'?  It might be worth adding a quirk for
your hardware.
Comment 15 David Elwell 2005-11-06 22:29:51 EST
I'll leave rebuilding the kernel to braver souls and switch between kernels.

'lspci -n' didn't output anything.

Comment 16 John W. Linville 2005-11-07 10:15:07 EST
'lspci -n' didn't output anything?  You did remove the quotes, right? :-) 
Comment 17 David Elwell 2005-11-07 22:25:00 EST
(In reply to comment #16)
> 'lspci -n' didn't output anything?  You did remove the quotes, right? :-) 

This is all I get:

[root@localhost dre]# lspci -n
bash: lspci: command not found

Comment 18 Dave Jones 2005-11-07 22:59:56 EST
yum install pciutils

:-)
Comment 19 John W. Linville 2005-11-08 10:02:32 EST
Or perhaps "/sbin/lspci -n"? 
Comment 20 David Elwell 2005-11-08 23:07:39 EST
(In reply to comment #19)
> Or perhaps "/sbin/lspci -n"? 

That works!

Here's the output:

[root@localhost dre]# /sbin/lspci -n
00:00.0 Class 0600: 8086:2580 (rev 04)
00:02.0 Class 0300: 8086:2582 (rev 04)
00:1b.0 Class 0403: 8086:2668 (rev 03)
00:1c.0 Class 0604: 8086:2660 (rev 03)
00:1d.0 Class 0c03: 8086:2658 (rev 03)
00:1d.1 Class 0c03: 8086:2659 (rev 03)
00:1d.2 Class 0c03: 8086:265a (rev 03)
00:1d.3 Class 0c03: 8086:265b (rev 03)
00:1d.7 Class 0c03: 8086:265c (rev 03)
00:1e.0 Class 0604: 8086:244e (rev d3)
00:1f.0 Class 0601: 8086:2640 (rev 03)
00:1f.1 Class 0101: 8086:266f (rev 03)
00:1f.2 Class 0101: 8086:2651 (rev 03)
00:1f.3 Class 0c05: 8086:266a (rev 03)
02:01.0 Class 0c00: 1106:3044 (rev 80)
02:02.0 Class 0200: 10ec:8139 (rev 10)
02:04.0 Class 0700: 12b9:1008 (rev 01)
02:05.0 Class 0780: 11c1:048c (rev 03)
Comment 21 John W. Linville 2005-11-09 10:25:03 EST
Ooops...how about "/sbin/lspci -nv" instead?  Sorry! 
 
Also, Wayne (the original reporter), does the "position_fix=1" do anything for 
you? 
Comment 22 David Elwell 2005-11-09 21:11:31 EST
(In reply to comment #21)
> Ooops...how about "/sbin/lspci -nv" instead?  Sorry! 
>  
> Also, Wayne (the original reporter), does the "position_fix=1" do anything for 
> you? 

John--

Here's the longer version:

[root@localhost dre]# /sbin/lspci -nv
00:00.0 Class 0600: 8086:2580 (rev 04)
        Subsystem: 103c:2a08
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:02.0 Class 0300: 8086:2582 (rev 04)
        Subsystem: 103c:2a08
        Flags: bus master, fast devsel, latency 0, IRQ 169
        Memory at cfe80000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at cc00 [size=8]
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Memory at cfe40000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: [d0] Power Management version 2

00:1b.0 Class 0403: 8086:2668 (rev 03)
        Subsystem: 103c:2a09
        Flags: bus master, fast devsel, latency 0, IRQ 169
        Memory at cfe38000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [130] Unknown (5)

00:1c.0 Class 0604: 8086:2660 (rev 03)
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1d.0 Class 0c03: 8086:2658 (rev 03)
        Subsystem: 103c:2a0a
        Flags: bus master, medium devsel, latency 0, IRQ 217
        I/O ports at c400 [size=32]

00:1d.1 Class 0c03: 8086:2659 (rev 03)
        Subsystem: 103c:2a0a
        Flags: bus master, medium devsel, latency 0, IRQ 201
        I/O ports at c480 [size=32]

00:1d.2 Class 0c03: 8086:265a (rev 03)
        Subsystem: 103c:2a0a
        Flags: bus master, medium devsel, latency 0, IRQ 193
        I/O ports at c800 [size=32]

00:1d.3 Class 0c03: 8086:265b (rev 03)
        Subsystem: 103c:2a0a
        Flags: bus master, medium devsel, latency 0, IRQ 169
        I/O ports at c880 [size=32]

00:1d.7 Class 0c03: 8086:265c (rev 03) (prog-if 20)
        Subsystem: 103c:2a0a
        Flags: bus master, medium devsel, latency 0, IRQ 217
        Memory at cfe37c00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 Class 0604: 8086:244e (rev d3) (prog-if 01)
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: cff00000-cfffffff
        Capabilities: [50] #0d [0000]

00:1f.0 Class 0601: 8086:2640 (rev 03)
        Subsystem: 103c:2a0a
        Flags: bus master, medium devsel, latency 0

00:1f.1 Class 0101: 8086:266f (rev 03) (prog-if 8a [Master SecP PriP])
        Subsystem: 103c:2a0a
        Flags: bus master, medium devsel, latency 0, IRQ 193
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at ffa0 [size=16]

00:1f.2 Class 0101: 8086:2651 (rev 03) (prog-if 8f [Master SecP SecO PriP PriO])
       Subsystem: 103c:2a0a
        Flags: bus master, 66Mhz, medium devsel, latency 0, IRQ 201
        I/O ports at c080 [size=8]
        I/O ports at c000 [size=4]
        I/O ports at bc00 [size=8]
        I/O ports at b880 [size=4]
        I/O ports at b800 [size=16]
        Capabilities: [70] Power Management version 2

00:1f.3 Class 0c05: 8086:266a (rev 03)
        Subsystem: 103c:2a0a
        Flags: medium devsel, IRQ 10
        I/O ports at 0400 [size=32]

02:01.0 Class 0c00: 1106:3044 (rev 80) (prog-if 10)
        Subsystem: 103c:2a0c
        Flags: bus master, medium devsel, latency 64, IRQ 225
        Memory at cffff800 (32-bit, non-prefetchable) [size=2K]
        I/O ports at ec00 [size=128]
        Capabilities: [50] Power Management version 2

02:02.0 Class 0200: 10ec:8139 (rev 10)
        Subsystem: 103c:2a0b
        Flags: bus master, medium devsel, latency 64, IRQ 209
        I/O ports at e800 [size=256]
        Memory at cffff400 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2

02:04.0 Class 0700: 12b9:1008 (rev 01) (prog-if 02)
        Subsystem: 12b9:00d3
        Flags: medium devsel, IRQ 169
        I/O ports at e480 [size=8]
        Capabilities: [dc] Power Management version 2

02:05.0 Class 0780: 11c1:048c (rev 03)
        Subsystem: 11c1:044c
        Flags: bus master, medium devsel, latency 64, IRQ 255
        Memory at cffff000 (32-bit, non-prefetchable) [size=256]
        I/O ports at e400 [size=8]
        I/O ports at e000 [size=256]
        Capabilities: [f8] Power Management version 2

Comment 23 Dave Jones 2005-11-10 15:10:34 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 24 David Elwell 2005-11-11 01:30:21 EST
(In reply to comment #23)
> 2.6.14-1.1637_FC4 has been released as an update for FC4.
> Please retest with this update, as a large amount of code has been changed in
> this release, which may have fixed your problem.
> 
> Thank you.
> 

Sound sounds fine.
Comment 25 John W. Linville 2005-11-11 10:09:25 EST
I presume that comment 24 still reflects use of "position_fix=1"?  If not, 
I'll close this one. 
Comment 26 David Elwell 2005-11-13 01:44:07 EST
(In reply to comment #25)
> I presume that comment 24 still reflects use of "position_fix=1"?  If not, 
> I'll close this one. 

Yes, "position_fix=1" is still necessary. When I remove it, the crackling returns.
Comment 27 Dave Jones 2006-02-03 01:01:13 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 28 John Thacker 2006-05-05 16:17:13 EDT
Closing per previous comment.
Comment 29 Timo 2009-08-02 13:40:42 EDT
I installed gst-mixer and happened to find that my PCM sound was turned off. Now I just have the problem I had before my sound went dead; everytime I switch between songs manually on Rythmbox the volume that the Sound Preferences gives it will automatically go down. So I now open Gst-mixer, sound preferences and Rythmbox if I want to listen music... Not very handy, though managable I guess.

Note You need to log in before you can comment on or make changes to this bug.